<?php
/**
 * @var \Refae\View\AppView $this
 * @var string $id identifiant de la section
 * @var string $title Contenu du h2
 * @var \AsalaeCore\View\Helper\Object\Table $table
 */
?>
<section class="container bg-white minifiable" id="<?=$id?>">
    <header>
        <h2 class="h4"><?=$title?></h2>
        <div class="l-actions h4">
            <i class="display-active-filter fa fa-filter" tabindex="0" role="button" title="<?=__("Réinitialiser les filtres de recherche")?>">
                <i aria-hidden="true" class="fa fa-times fa-small-append fa-hidden-append">
                    <span class="sr-only"><?=__("Réinitialiser les filtres de recherche")?></span>
                </i>
            </i>
            <i class="display-active-sort fa fa-sort-amount-asc" tabindex="0" role="button" title="<?=__("Retirer le tri")?>">
                <i aria-hidden="true" class="fa fa-times fa-small-append fa-hidden-append">
                    <span class="sr-only"><?=__("Retirer le tri")?></span>
                </i>
            </i>
        </div>
        <div class="r-actions h4">
            <?=$table->getConfigureLink()?>
        </div>
    </header>
    <?=$table->generate()?>
    <div class="row">
        <?=$this->Paginator->blocPagination(
                isset($pagination['action-groupe']) ? $pagination['action-groupe'] : 'action-groupe',
                isset($pagination['options']) ? $pagination['options'] : []
        )?>
    </div>
</section>