<?php
/**
 * @var \Refae\View\AppView $this
 */
$this->assign('title-appname', 'Refae: '.$this->fetch('title'));
?>
<!--suppress HtmlUnknownTag -->
<div id="head-content">
    <title><?=$this->fetch('title-appname')?></title>
</div>
<div id="layout-content">
    <?php
        if (isset($modals)) {
            foreach ((array)$modals as $modal) {
                echo $modal;
            }
        }
    ?>
    <li class="dropdown navbar-item" title="Filtrer" id="menu-li-filter" style="display: none">
        <button data-toggle="dropdown" type="button" class="btn-link">
            <?=$this->Fa->charte('Filtrer')?>
            <span class="resp resp-hide-large" aria-hidden="true"> <?=__("Filtres")?> </span>
            <span class="sr-only"><?=__("Filtres de recherche")?></span>
        </button>
        <ul class="dropdown-menu flex-column filtersSelectWindow">
            <li>
                <button data-toggle="modal" data-target="#modal-filters" class="navbar-link btn-link" type="button">
                    <?=$this->Fa->charte('Modifier').' '.__("Ajouter / Modifier les filtres")?>
                </button>
            </li>
            <?php if ($this->request->getParam('?.SaveFilterSelect') !== false): ?>
                <li class="savedFilter">
                    <button class="navbar-link btn-link" onclick="AsalaeGlobal.confirmRemoveFilters()" type="button">
                        <?=$this->Fa->charte('Réinitialiser').' '.__("Réinitialiser les filtres")?>
                    </button>
                </li>
            <?php endif; ?>
            <li role="separator" class="divider"></li>
            <?php
            if (!empty($savedFilters)) {
                echo $this->Filter->selectSaved($savedFilters);
            }
            ?>
        </ul>
    </li>
</div>
<div id="template-content">
    <div id="zone-debug"></div>
    <?= $this->Flash->render() ?>

    <?= $this->fetch('content') ?>
</div>