<?php

namespace Refae\Test\Fixture;

use Cake\TestSuite\Fixture\TestFixture;

class CategoriesFixture extends TestFixture
{
    public $fields = [
        'id' => ['type' => 'integer'],
        'name' => ['type' => 'string', 'length' => 255, 'null' => false],
        'parent_id' => ['type' => 'integer'],
        'lft' => ['type' => 'integer'],
        'rght' => ['type' => 'integer'],
        'type' => ['type' => 'string', 'length' => 255, 'null' => false],
        'created' => 'datetime',
        'modified' => 'datetime',
        '_constraints' => [
            'primary' => ['type' => 'primary', 'columns' => ['id']]
        ]
    ];
    public $records = [
        [
            'name' => 'Tableau 1',
            'parent_id' => null,
            'lft' => 1,
            'rght' => 4,
            'type' => 'table',
        ],
        [
            'name' => 'Dossier 1',
            'parent_id' => 1,
            'lft' => 2,
            'rght' => 3,
            'type' => 'dossier'
        ],
        [
            'name' => 'Tableau 2',
            'parent_id' => null,
            'lft' => 5,
            'rght' => 6,
            'type' => 'table'
        ],
    ];
}
