<?php

namespace Refae\Test\Fixture;

use Cake\TestSuite\Fixture\TestFixture;

class FilesFixture extends TestFixture
{

    public $import = ['model' => 'Files'];

    public $records = [
        [
            'filename' => 'text.xsd',
            'size' => '0',
            'content' => '
<?xml version="1.0" encoding="UTF-8"?>

<shiporder orderid="889923"
xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
xsi:noNamespaceSchemaLocation="shiporder.xsd">
  <orderperson>John Smith</orderperson>
  <shipto>
    <name>Ola Nordmann</name>
    <address>Langgt 23</address>
    <city>4000 Stavanger</city>
    <country>Norway</country>
  </shipto>
  <item>
    <title>Empire Burlesque</title>
    <note>Special Edition</note>
    <quantity>1</quantity>
    <price>10.90</price>
  </item>
  <item>
    <title>Hide your heart</title>
    <quantity>1</quantity>
    <price>9.90</price>
  </item>
</shiporder>',
            'hash_algo' => null,
            'hash' => null,
            'user_id' => 1,
            'created' => '2018-05-11 10:39:23',
            'modified' => '2018-05-11 10:41:31'
        ],
    ];
}