<?php

use Cake\ORM\TableRegistry;
use Migrations\AbstractMigration;
use Refae\Model\Table\DocumentsTable;

class UpdateCommunicabiliteFromDocuments extends AbstractMigration
{
    /**
     * Migrate Up
     *
     * @return void
     * @throws Exception
     */
    public function up()
    {
        /** @var DocumentsTable $Documents */
        $Documents = TableRegistry::getTableLocator()->get("Documents");
        $conn = $Documents->getConnection();
        $conn->begin();
        $Documents->updateAll(['communicabilite' => 'AR038'], ['communicabilite' => 'I']);
        $conn->commit();
    }

    /**
     * Migrate Down
     *
     * @return void
     */
    public function down()
    {
        /** @var DocumentsTable $Documents */
        $Documents = TableRegistry::getTableLocator()->get("Documents");
        $conn = $Documents->getConnection();
        $conn->begin();
        $Documents->updateAll(['communicabilite' => 'I'], ['communicabilite' => 'AR038']);
        $conn->commit();
    }
}
