<?php
use Migrations\AbstractMigration;

class AddPublicDateAndObsoleteDateToDocuments extends AbstractMigration
{
    /**
     * Change Method.
     *
     * More information on this method is available here:
     * http://docs.phinx.org/en/latest/migrations.html#the-change-method
     * @return void
     */
    public function change()
    {
        $table = $this->table('documents');
        $table->addColumn('public_date', 'datetime', [
            'default' => null,
            'null' => true,
        ]);
        $table->addColumn('obsolete_date', 'datetime', [
            'default' => null,
            'null' => true,
        ]);
        $table->update();
    }
}
