<?php
/**
 * Refae\Controller\FiltersController
 */

namespace Refae\Controller;

use AsalaeCore\Controller\FiltersControllerTrait;

/**
 * Filtres de recherche
 *
 * @category Controller
 *
 * @author    Ludovic Ganée <ludovic.ganee@libriciel.coop>
 * @copyright (c) 2017-2018, Libriciel
 * @license   http://www.cecill.info/licences/Licence_CeCILL_V2-fr.html
 * @property \Refae\Model\Table\SavedFiltersTable $SavedFilters
 * @property \Refae\Model\Table\FiltersTable $Filters
 */
class FiltersController extends AppController
{
    /**
     * Traits
     */
    use FiltersControllerTrait;
}
