<?php
/**
 * @var \Refae\View\AppView $this
 */
use Cake\Core\Configure;
?>
<div class="container">
    <h1><i aria-hidden="true" class="fa fa-warning"></i> <?=$this->fetch('error-h1')?></h1>
</div>
<section class="container bg-white">
    <header>
        <h2 class="h4"><?=$this->fetch('error-h2')?></h2>
    </header>
    <p><?=$this->fetch('error-p')?></p>
    <?=$this->element('Error/report-table')?>
</section>

<?php if (Configure::read('debug')): ?>
    <?=$this->element('Error/section-error')?>
    <?=$this->element('Error/stack-trace')?>
<?php endif;