<?php
/**
 * @var \Refae\View\AppView $this
 */

echo $this->Html->tag('table',

    $this->Html->tag('tbody',
        $this->Html->tag('tr',
            $this->Html->tag('th', __('Associée à'))
            .$this->Html->tag('td', __("Ce champ permet d'associer une règle de gestion à un ou plusieurs services identifiés. Cela signifie que l'entité sélectionnée a la responsabilité de la gestion des documents qui lui sont associés."))
        )
        .$this->Html->tag('tr',
            $this->Html->tag('th', __('Communicabilité'))
            .$this->Html->tag('td', __("Possibilité de communiquer à tous le document concerné à l'issue du nombre d'années renseigné, en lien avec les textes législatifs et réglementaires en vigueur. Ex. Un document dont la communicabilité = 0 est immédiatement communicable à tous / Un document dont la communicabilité = 50 ans sera communicable à tous à l'issue des 50 ans. L'information permettant de calculer le délai est précisée dans le champ \"date de départ de calcul de la communicabilité\"."))
        )
        .$this->Html->tag('tr',
            $this->Html->tag('th', __('Dossier'))
            .$this->Html->tag('td', __("Un dossier permet de regrouper un ensemble de règles de gestion ayant un lien intellectuel ou pratique."))
        )
        .$this->Html->tag('tr',
            $this->Html->tag('th', __('DUA'))
            .$this->Html->tag('td', __("La durée d'utilité administrative est la durée légale ou pratique pendant laquelle un document est susceptible d'être utilisé par le service qui le gère. Au terme de ce délai (dont la date de départ est précisée dans un autre champ), son sort final est appliqué. Le document ne peut donc pas être détruit lorsque sa DUA est en cours."))
        )
        .$this->Html->tag('tr',
            $this->Html->tag('th', __('DUC'))
            .$this->Html->tag('td', __("La durée d'utilité courante est la durée pendant laquelle le document va être stocké sur son support d'enregistrement. Par exemple, un document pourra rester 5 ans dans une GED afin d'être accessible à tous avant d'être archivé ou détruit. La date de départ de calcul est précisée dans un autre champ."))
        )
        .$this->Html->tag('tr',
            $this->Html->tag('th', __('Entités gestionnaires'))
            .$this->Html->tag('td', __("Correspond aux services qui ont la responsabilité de la gestion des documents."))
        )
        .$this->Html->tag('tr',
            $this->Html->tag('th', __('Format de fichier'))
            .$this->Html->tag('td', __("Ce champ permet de renseigner le ou les formats utilisés par le service qui a créé le document. Pour l'archiviste ou l'informaticien, cela permet également de signaler les formats attendus avant de prévoir leur archivage électronique."))
        )
        .$this->Html->tag('tr',
            $this->Html->tag('th', __('Identifiant'))
            .$this->Html->tag('td', __("Il est créé lors de l'ajout d'un type de document dans le référentiel. Il permet au système informatique de garantir son unicité, et de le trouver plus facilement pour le gérer et l'archiver."))
        )
        .$this->Html->tag('tr',
            $this->Html->tag('th', __('Nom'))
            .$this->Html->tag('td', __("Un nom d'usage est donné à chaque document pour que chaque utilisateur le trouve."))
        )
        .$this->Html->tag('tr',
            $this->Html->tag('th', __('Profil d\'archivage'))
            .$this->Html->tag('td', __("Un profil est la déclinaison d'un modèle de description pour un ensemble de documents. Il permet de spécifier les informations qui doivent être précisées pour faciliter l'archivage des documents."))
        )
        .$this->Html->tag('tr',
            $this->Html->tag('th', __('Référentiel archivage'))
            .$this->Html->tag('td', __("Cet outil permet de recenser des types de documents et de leur associer des règles de gestion dans le temps. Cela permet de préciser la vie du document sur ce lieu de stockage et/ou de partage, de savoir s'il est communicable à tous, et de savoir s'il doit être éliminé ou archivé au bout d'un délai déterminé."))
        )
        .$this->Html->tag('tr',
            $this->Html->tag('th', __('Règle de gestion des documents'))
            .$this->Html->tag('td', __("publiée, en attente de publication, obsolète"))
        )
        .$this->Html->tag('tr',
            $this->Html->tag('th', __('Sort final'))
            .$this->Html->tag('td', __("Ce traitement final est à mettre en œuvre à l'issue de la DUA associée au document : conserver / trier / détruire. Cette action sera réalisée par les archivistes et les informaticiens, après avoir échangé avec le service qui gère le document."))
        )
        .$this->Html->tag('tr',
            $this->Html->tag('th', __('Support'))
            .$this->Html->tag('td', __("Le support d'un document peut être papier, électronique ou mixte (papier et électronique). Renseigner cette information permet de savoir quel est le support à archiver, et de signaler, dans le cas où un document existe sur les 2 supports, si on privilégie un archivage papier ou électronique"))
        )
    )

    , ['class' => 'table table-striped table-hover no-padding']
);