<?php
/**
 * @var \Refae\View\AppView $this
 * @var string $title Contenu du h2
 * @var \AsalaeCore\View\Helper\Object\Table $uploads
 * @var string $content
 */
?>
<section class="container bg-white minifiable">
    <header>
        <h2 class="h4"><?=$title?></h2>
        <div class="r-actions h4">
            <?=$uploads->getConfigureLink()?>
        </div>
    </header>
    <div class="minifiable-target no-padding">
        <?=$content?>
    </div>
    <?=$uploads->generate()?>
    <div class="minifiable-target hide">
        <button class="btn btn-primary" onclick="GenericUploader.addSelected()">
            <i aria-hidden="true" class="fa fa-level-down"></i> <?=__('Ajouter selection')?>
        </button>
    </div>
</section>
