<?php
/**
 * @var \Refae\View\AppView $this
 */
echo $this->ModalForm
    ->create('login-modal', [
        'acceptButton' => $this->Form->button('<i class="fa fa-sign-in fa-fw" aria-hidden="true"></i> ' . __('Se connecter'), ['bootstrap-type' => 'primary', 'class' => 'accept']),
        'class' => 'login-modal'
    ])
    ->modal(__("Votre session a expiré"))
    ->javascriptCallback("AsalaeSessionTimeout.displayModalSessionTimeoutCallback")
    ->output('function',
        'displayModalSessionTimeout',
        '/Users/login'
    )
    ->generate()

    .$this->Html->script('asalae.sessiontimeout.js')
;