<?php
/**
 * @var \Refae\View\AppView $this
 */

$this->extend('/Layout/html');
$this->assign('logo', $this->Html->image('asalae_color_desat_h48px.png', ['alt' => 'LOGO', 'title' => 'Refae', 'style' => 'height: 45px; padding-top: 5px;']));
$this->start('main-header');
?>
    <header class="navbar-fixed-top">
        <nav class="navbar navbar-asalae">
            <div class="container-fluid">
                <!-- Brand and toggle get grouped for better mobile display -->
                <div class="navbar-header">
                    <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target=".header-menu-collapsable" aria-expanded="false">
                        <span class="sr-only"><?=__("Toggle navigation")?></span>
                        <span class="icon-bar"></span>
                        <span class="icon-bar"></span>
                        <span class="icon-bar"></span>
                    </button>
                    <a class="navbar-brand logo" href="<?=$this->Url->build('/')?>" data-mode="no-ajax"><?=$this->fetch('logo')?></a>
                </div>

                <!-- Collect the nav links, forms, and other content for toggling -->
                <div class="collapse navbar-collapse header-menu-collapsable">
                    <ul class="nav navbar-nav navbar-left">
                        <li class="navbar-brand hidden-xs"><?=__("Administration technique")?></li>
                    </ul>

                    <ul class="nav navbar-nav">
                    </ul>

                    <ul class="nav navbar-nav navbar-right">
                        <li class="dropdown" class="link">
                            <a href="#" class="dropdown-toggle" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                <i aria-hidden="true" class="fa fa-gear"></i>
                                <span class="resp resp-hide-large"> <?=__("Paramétrage")?> </span>
                                <span class="resp resp-hide-small sr-only"> <?=__("Paramétrage")?> </span>
                                <span class="caret"></span>
                            </a>
                            <ul class="dropdown-menu flex-column">
                                <li class="active">
                                    <button type="button" class="navbar-link btn-link">
                                        &gt; <?=__("Administration technique")?>
                                    </button>
                                </li>
                                <li role="separator" class="divider"></li>
                                <li><a href="<?=$this->Url->build('Admins/index')?>" data-mode="no-ajax" class="navbar-link"><?=__("Tableau de bord technique")?></a></li>
                                <li role="separator" class="divider"></li>
                                <li><a href="<?=$this->Url->build('Admins/logout')?>" data-mode="no-ajax" class="navbar-link"><i aria-hidden="true" class="fa fa-sign-out"></i> <?=__("Se déconnecter administrateur technique")?></a></li>
                            </ul>
                        </li>
                    </ul>
                </div><!-- /.navbar-collapse -->
            </div><!-- /.container-fluid -->
        </nav>
    </header>
<?php
$this->end();


$this->start('main-content');
?>
    <!-- Contenu de la page -->

    <div class="clearfix main-content">
        <div id="zone-debug"></div>
        <?= $this->Flash->render() ?>

        <?= $this->fetch('content') ?>
    </div>
<?php
$this->end();