<?php

namespace Refae\Test\Fixture;

use Cake\TestSuite\Fixture\TestFixture;

class DocumentsFixture extends TestFixture
{
    public $import = ['model' => 'Documents'];
    public $records = [
        [
            'name' => 'Test 1',
            'support' => 'E',
            'file_format' => 'XLS',
            'dua' => 0,
            'communicabilite' => 'I',
            'sort_final' => 'C',
            'description' => 'fixture data',
            'created' => '2007-03-18 10:39:23',
            'modified' => '2007-03-18 10:41:31',
            'identifiant' => 'test_1',
            'version' => 1,
            'status' => 'actif',
            'uid' => '5aaba36b4348b2.67701809',
            'schema_file_id' => 1,
        ],
        [
            'name' => 'Test 1',
            'support' => 'P et E',
            'file_format' => 'XLS, XSD',
            'dua' => 0,
            'communicabilite' => 'I',
            'sort_final' => 'C',
            'description' => 'fixture data',
            'created' => '2018-03-19 10:06:34',
            'modified' => '2018-03-19 10:06:34',
            'identifiant' => 'test_1',
            'version' => 2,
            'status' => 'actif',
            'uid' => '5aaba36b439c05.51611422',
            'schema_file_id' => 1,
        ],
        [
            'name' => 'Test 2',
            'support' => 'E',
            'file_format' => 'PDF',
            'dua' => 5,
            'communicabilite' => 'I',
            'sort_final' => 'D',
            'description' => 'fixture data',
            'created' => '2007-06-18 11:39:28',
            'modified' => '2007-09-18 10:40:35',
            'identifiant' => 'test_2',
            'version' => 1,
            'status' => 'brouillon',
            'uid' => '5aaba36b43f768.13367811',
            'schema_file_id' => null,
        ],
    ];
}